Loading...
Searching...
No Matches
concept.hpp File Reference

Quality alphabet concept. More...

`#include <seqan3/alphabet/concept.hpp>`
Include dependency graph for alphabet/quality/concept.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Typedefs

template<typename alphabet_type>
using | seqan3::alphabet_phred_t = decltype(seqan3::to_phred(std::declval<alphabet_type>()))
| The phred_type of the alphabet; defined as the return type of seqan3::to_phred.

## Variables

Function objects (Quality)
constexpr auto | seqan3::assign_phred_to = detail::adl_only::assign_phred_to_cpo{}
| Assign a Phred score to a quality alphabet object.
constexpr auto | seqan3::to_phred = detail::adl_only::to_phred_cpo{}
| The public getter function for the Phred representation of a quality score.

## Detailed Description

Quality alphabet concept.

Author
  Marie Hoffmann <marie.hoffmann AT fu-berlin.de>
  Jörg Winkler <j.winkler AT fu-berlin.de>

Hide me